Hallo zusammen,

ich habe das wunderbare script von Microsoft Office 2016 32-Bit und 64-Bitnoch ein wenig erweitert, damit man alle 3 Versionen parallel in einem Paket vorhalten kann und dann im cofniged auswählen kann, welche version man mit welchem key installieren will. todo windows 10 kompabilität:

if GetMsVersionInfo < "6"
        LogError "This is for NT 6 (Vista) and above"
        isFatalError

hier nur die Änderungen: Tree:

CLIENT_DATA
  ├ config.xml
  ├ delsub32.opsiscript
  ├ delsub64.opsiscript
  ├ office2016.png
  ├ setup.opsiscript
  ├ uninstall.opsiscript
  ├ Office14/
    └ x86
    └ x64
  └ Office15
    └ x86
    └ x64
  └ Office16
    └ x86
    └ x64

setup.opsiscript

...
Set $OfficeId$                  = GetProductProperty("officeid","")
Set $OfficeVersion$             = GetProductProperty("officeversion","")
...
 
[Winbatch_install]
"%ScriptPath%\$OfficeVersion$\$OfficeArchitecture$\setup.exe" /config "$LogDir$\config.xml"

uninstall.opsiscript

...
Set $OfficeId$                  = GetProductProperty("officeid","")
Set $OfficeVersion$             = GetProductProperty("officeversion","")
...

delsub32 /64.opsiscript

...
;Set $UninstallProgram$ = "%ScriptPath%\x86\setup.exe"
Set $UninstallProgram$ = "%ScriptPath%\" + $OfficeVersion$ + "\x86\setup.exe"
...

control

[Product]
type: localboot
id: office10to16
name: Office 201016
description: Office 2010 bis 2016
advice:
version: 1.0
priority: 0
licenseRequired: True
productClasses:
setupScript: setup.opsiscript
uninstallScript: uninstall.opsiscript
updateScript:
alwaysScript:
onceScript:
customScript:
userLoginScript:

[ProductProperty]
type: unicode
name: architecture
multivalue: False
editable: False
description: Architektur der Office Installation
values: ["x64", "x86"]
default: ["x64"]

[ProductProperty]
type: unicode
name: officeid
multivalue: False
editable: True
description: Version ID Office config.xml
values: ["ProPlus", "ProPlusr", "Standard"]
default: ["Standard"]

[ProductProperty]
type: unicode
name: officeversion
multivalue: False
editable: False
description: Jahrgang / Version der Office Installation
values: ["Office14", "Office15", "Office16"]
default: ["Office15"]

QR Code
QR Code userspace:microsoft_office_20to16 (generated for current page)